gnutls_handshake_get_last_in(3)

NAME
gnutls_handshake_get_last_in - Returns the last handshake message received.

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_handshake_description_t gnutls_handshake_get_last_in(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Returns the last handshake message received. This function is only useful to check where the last performed handshake failed. If the previous handshake succeed or was not performed at all then no meaningful value will be returned. Check gnutls.h for the available handshake descriptions.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.